# Réunion Nounous

### Horaires

* Date : Jeudi 25 septembre 2008
* Début : <<DateTime(2008-09-25T17:41:00Z)>>
* Fin : <<DateTime(2008-09-25T21:27:40Z)>> (on a mangé entre temps...)
* Lieu : Pavillon des Jardins

### Présents

* Antoine Durand-Gasselin (adg)
* Anne Cazalet (Anne Cazalet)
* Augustin Parret-Fréaud (apf)
* Benoit Barbot
* Jérémie Dimino (dim)
* Johan Grande (jojo)
* Laurent Taylor (marn)
* Mathieu Segaud (Regala)
* Michel Blockelet (!AlphaTigrou)
* Nicolas Dandrimont (olasd)
* Pierre Chambart (Chicco)
* Stéphane Glondu (sgnb)
* Thomas Blanc (pat)
* Vincent Maioli (Neseb)
* Xavier Lagorce (lxir)

## Ordre du jour

### Point(s) Matériel

#### Remplacement de rouge

On a constaté de nombreux plantages de rouge. Or rouge étant toujours sous
garantie, il serait bon de contacter le sav (rapidement, car celle-ci expire
bientôt).

SAV HP : 0826 10 49 49

Penser à envoyer le numéro de série à Anne.

#### Remplacements de pegase, de vert

Les serveurs de données et de sauvegarde se font vieux, il faudrait penser
à les renouveler.

Pour le remplacement de vert, on a considéré l'investissement dans un SAN/NAS/?,
qui pourrait servir, en plus du stockage des données des adhérents, de stocker
les données concernant les racines des domUs actuels et futurs.

On partirait a priori sur une solution avec une baie de disques extensible en
fonction des besoins. La question porte alors sur le mode de raccordement des
serveurs :

* [[http://en.wikipedia.org/wiki/Fibre_Channel|Fibre Channel]] :
  protocole spécifique séparé (performant, bien overkill et
  nécessite d'ouvrir les serveurs pour rajouter des cartes spécifiques)
* export NFS (pollue la bande passante, mais vu que les serveurs sont
  branchés sur le backbone en gigabit, ce n'est pas limitant)

Disques SAS (Serial Attached SCSI). Baie de disques.

Pour le remplacement de pegase, un serveur "pas cher" avec 1 To de stockage
efficace (en raid5).

* ML110 (Xeon 3065, 570€) + 3 * 500 Go (à 200€ chacun).

#### Remplacement de l'onduleur du 0B

2 onduleurs de 3kVA ou un seul onduleur de 5kVA, nécessitant une installation
électrique particulière, donc accord du CROUS etc.

### WPA2

Connexion actuelle : équivalent des VPN professionnels. Les bornes ne font que
transmettre le flux chiffré depuis et à ragnarok.

Intérêt : pouvoir utiliser le wifi avec *tous* les terminaux classiques (PC
sous Vista --osef, PDA, Smartphones, etc.).

Connexion WPA : chiffrement sur la borne, et surtout toutes les connexions
seront en clair sur les vlan 3 et 4, cela pose certains problèmes de sécurité.
Sécurité "dans les airs", mais ce n'est pas chiffré sur le fil (entre la borne
et ragnarok) (chiffrer sur le fil et dans les airs, c'est trop pour les bornes).
Il sera toujours possible d'effectuer du chiffrement IPSEC au dessus du WPA.

Multi-SSID : il faut changer les bornes existant à l'ENS.

todo:

* Migrer les bornes actuelles sous Kamikaze 8
* Faire des tests sur un réseau séparé
* login/mdp: nom de machine/clef (ex-)ipsec
   * on ne fait plus (forcément) d'ipsec
* Faire des tests de performance, trop de gens connectés en WPA, ça peut être
  très lourd. (2Mo/s max pour chaque borne)

### Point sur la mise en place de la connexion gratuite

* Elle est sur le VLAN 6.
* IP privées 10.42.0.0/16 non routées, attribuées aléatoirement (log DHCP
  gardés).
* Sable est le seul serveur sur ce VLAN, c'est lui qui fournit tous

les "services" : le proxy en 80 (port HTTP) et 443 (port HTTPS) (pas pour
l'instant, à faire **vite**)

* Limitation à 1Mo/s pour l'ensemble des inscrits.
* Il faut qu'il y ait des gens qui s'inscrivent afin d'avoir un minimum de
  crédibilité.

Le vlan 7, d'accueil, récupère toutes les machines qui ne sont pas enregistrées
dans la base (ou qui se branchent quand Radius chie......). Il faudrait ajouter
à la page proxy un commentaire : "si vous êtes déjà inscrit, débranchez et
rebranchez votre cable".

Il faut faire une page wiki récapitulant les points techniques à ce propos.

### Retour de sila

Il est de retour, avec plein de disques...

On a remonté un FTP avec pour l'instant :

* une archive debian complète (un jour, on prendra la place du miroir de
  l'ENS...)
* l'archive openbsd que l'on avait précédemment
* un miroir de VLC

Il faut mettre de la QoS sur le FTP pour éviter de péter le réseau de l'ENS lors
des mises à jour de VLC...

### Changement des disques durs de la ferme

Cet été, il a fait chaud (encore une fois). Les disques de la ferme sont
fatigués,
il faut les changer. Ils sont au 2@B en attendant que Michel s'en occupe
(avec n apprentis, n > 1, si on rajoute un "e" ça ira plus vite elle connait
déjà la Ferme avec Michel..., exact).

Mouton est mort, on va le mettre sur orbite. De toute façon il ne servait qu'aux
annonces SAP, qui sont supportées maintenant nativement par MumuDVB, et donc
nous n'avons plus besoin de minisapserver. Il faut déplacer la génération des
vignettes sur MDR, le serveur qui réchauffe inutilement le 4@J actuellement.

### Passage des serveurs/domUs à Lenny

À priori, on peut effectuer la transition pour les paquets n'ayant pas de bugs
RC (on va pas beaucoup avancer avec ça...)

Les serveurs actuellement sous lenny :

* sila
* munin
* o2
* xmpp

Il n'y en a plus qu'une vingtaine à migrer ! On va commencer par la ferme, qui
ne contient pas de service critique... MumuDVB n'est de toute façon pas un
paquet
Debian. Il faudra penser à demander à Braice de vérifier si les noyaux lenny
sont
bons.

Il faudra veiller à réécrire les fichiers de confs des logiciels qui changeront
de version majeure. Les mettre dans BCfg2 aussi tant qu'à faire.
(exemples : Radius, ...)

Ça parait être une occasion en or pour finaliser la migration en utf-8.
il ne faut la faire qu'une fois...
http://munin.crans.org/association.crans.org/web.rouge-wiki_themes.html *ahaha*.

Une page wiki devra être mise en place pour recenser les tests de mises à jour
effectués.

### Organisation des séminaires techniques

Les séminaires seront organisés tous les mercredis soir à 20h, en salle
Condorcet.

Le premier (le 1er octobre) sera consacré à une présentation technique globale
du réseau.

Le séminaire TCP/IP du 8 octobre sera effectué par pat (non, l'autre).

Le 15 et le 22 octobre seront organisés des séminaires de présentation du
système GNU/Linux, préliminaire à l'install-party du 8 Novembre.

Thèmes importants à traiter : switches, LDAP, BCfg2, Apache et les trucs HTTP,
OpenBSD et PF, WiFi (Regala), Asterisk et le SIP (Re-Regala), XMPP, ...

### Questions diverses

#### Jabber connecté à LDAP

Un nouveau serveur Jabber a été créé, xmpp.crans.org. Les comptes sur ce serveur
sont en fait les comptes crans. Pour l'instant, tous les alias fonctionnent mais
pointent sur des comptes (listes de contact) différents. Il faudrait faire en
sorte que tous les alias pointent vers le même roster. Malheureusement, il n'y a
pas de méthode standard pour ce faire, des investigations sont en cours.

Il y a des raisons pour avoir des comptes différents... C'est donc peut-être pas
la peine de fusionner les alias. À voir.

#### Problème de la transparence avec l'imprimante

L'imprimante imprime parfois les zones transparentes avec un aplat de
couleur (correspondant à la "couleur de transparence" du fichier), plutôt que
du blanc.

À moins de flasher l'imprimante, après avoir modifié les sources du
firmware (que nous n'avons pas) nous ne voyons pas ce que nous pouvons faire...

#### Connexion des appartements de l'ENS

On va faire passer cette connexion par un vlan particulier, qui nous permettra
de filtrer le contenu qui passerait du réseau Campus au réseau Appartements.

#### Blocage de bittorrent

Des abus récents nous poussent à bloquer totalement le trafic bittorrent passant
par komaz.

#### Commande de LiveCD GNU/Linux

http://shipit.ubuntu.com/ ne fait que des envois personnels. Il faudrait
rapidement faire une commande de liveCD chez Ikarios, parce que c'est pas cher.
Commande de:

* 50 LiveCD kikoololbuntu i686
* 50 LiveCD kikoololbuntu amd64
* 20 Netinstall debian
