# Réunion Nounous

* Date : Jeudi 2 mai 2013
* Lieu : Pavillon des Jardins
* Début : 19h21
* Fin : 20h40

## Présents

* Lucas Serrano
* Nicolas Dandrimont
* Pauline Pommeret
* Pierre-Elliott Bécue
* Valentin Samir
* Vincent Le Gallic

## Ordre du jour

### Changement de NFS

Le serveur [[CransTechnique/Services/NfS|NFS]] a été changé. Pour une raison
encore
obscure, le nfsv4 était actif alors qu'il n'aurait pas dû l'être, ce qui a créé
un certain nombre de bugs, dont des problèmes de permissions dans les homes.

Il fallait
modifier {{{/etc/default/nfs-kernel-server}}} sur [[CransTechnique/LesServeurs/ServeurZbee|zbee]] pour désactiver
le protocole v4. C'est maintenant fait.

Sinon, on me souffle dans l'oreillette
que [[CransTechnique/LesServeurs/ServeurCharybde|charybde]] a
un [[CransTechnique/Services/NfS|NFS]] pour
le [[CransTechnique/ServicesMineurs/PXE|PXE]]. Donc
au dist-upgrade, il faudra faire attention.
[[CransTechnique/LesServeurs/ServeurBabar|Babar]] a également un
serveur [[CransTechnique/Services/NfS|NFS]] pour exporter les photos des
caméras (qui ne
marchent plus).

### Virtualisation

#### Proxmox

Suite à la réunion avec MiNET, Pierre-Elliott a testé Proxmox,
sur [[CransTechnique/PanthéonServeurs/ServeurKdell|kdell]].

Son interfaçage avec la baie de disque n'est pas compatible avec l'utilisation
faite actuellement au Cr@ns.

Pierre-Elliott fait remarque que changer l'architecture demanderait alors
beaucoup de temps pour assez peu de résultat. En effet, il faudrait revoir
complètement la gestion des disques des machines virtuelles : actuellement elles
montent des disques (virtuels) entier, il faudrait plutôt qu'elles montent des
partitions.

Ce dernier point serait de toute façon une bonne chose et résoudrait sans
doutes les quelques problèmes de migration que l'on rencontre.

#### Virtualisation pour les clubs

À terme, une fois les tests terminés, il faudra décider si on offre un service
de virtualisation pour les clubs.
Valentin fait remarquer que l'avantage d'avoir une solution compatible avec la
virtualisation actuelle permettrait de pouvoir migrer des machines virtuelles
vers kdell en cas de problèmes sur un
autre [[CransTechnique/Services/Virtualisation|dom0]].

### Câblage de personnel CROUS

cf ../Jeudi25Avril2013

### Dist-upgrades

La release c'est (après) demain.
Tous les membres actifs sont invités à lire
les [[http://www.debian.org/releases/wheezy/amd64/release-notes/index.fr.html|release notes]] et la page CransTechnique/AdminSystème/DistUpgrade (potentiellement à compléter).

Il faut planifier les mise à jour des machines entrainant une interruption de
service et prévenir à l'avance sur CransIncidents et sur les news.

Parmi celles-ci :

* [[CransTechnique/PanthéonServeurs/ServeurKomaz|komaz]]
* [[CransTechnique/LesServeurs/ServeursF*#Utilis.2BAOk-s|redisdead]]
* [[CransTechnique/LesServeurs/ServeursF*|radius]]
* [[CransTechnique/LesServeurs/ServeursF*|dhcp]]
* [[CransTechnique/LesServeurs/ServeursF*|xmpp]] (super important !!1)
* [[CransTechnique/LesServeurs/ServeurZamok|zamok]]

[[CransTechnique/LesServeurs/ServeurZamok|zamok]] sera mis à jour lundi 6 mai
en même temps qu'on réparera le home des
adhérents. (envoi de mail ce soir)

Les mise à jour sont programmées à partir du week-end du 18-19 mai pour avoir
des apprentis disponibles.

### Ajout de droits

Sur proposition de Vincent, les droits nounou ont été attribués à Lucas Serrano
et Pauline Pommeret.

Valentin fait la partie chiante où il faut taper son mot de passe {{{sudo}}}.

### Divers

#### Caméras

Il faut diagnostiquer pourquoi celle du 2B fait des histoires pour prendre des
photos et les envoyer sur [[CransTechnique/LesServeurs/ServeurBabar|babar]].
Idem celle du 0B envoie des mails de manière aléatoire, il faut voir si ça n'est
pas juste un problème de configuration.

#### Alimentation et KVM

Le CA a donné son accord sur le principe pour l'achat d'une alimentation
rackable, et
pour celui d'un KVM. Il faudrait avant cela tester un clavier.

Pierre-Elliott se charge du KVM. Valentin s'occupe de l'alimentation, et des
« petits consommables » (têtes RJ45 & co).

Nicolas dit qu'il a croisé une alimentation similaire à pika et chu, elle doit
se trouver dans un des locaux techniques.

#### autoconf wifi

Valentin a nettoyé le code de son script. Les sources et le script pour
cross-compiler se trouvent dans {{{/usr/scripts/src/autoconf-wifi}}}.

L'exécutable servi pour Windows est signé, avec la commande décrite dans
la source. Ce n'est pas absolument nécessaire de faire ça.

Attention, le fichier est symlinké depuis le serveur {{{ftp}}}.
