# Réunion

* Date : Lundi 25 mai 2009
* Lieu : 2@B, clim powa®
* Début : 20h00
* Fin : 22h30

## Présents

* Antoine Durand-Gasselin
* Damien Aza-Vallina
* Jérémie Dimino
* Pierre Chambart
* Xavier Lagorce

Par Gobby :

* Brice Dubost
* Michel Blockelet
* Nicolas Dandrimont

## Ordre du jour

### Imprimante canon

Adg a installé les drivers proprios (UFR) téléchargés sur le site du
constructeur,
mais c'est moche car il faut passer par une conversion PS. On passe par un
binary pour convertir en postscript, ce qui fait que l'on a aucune idée de
pourquoi ça ne marche pas. En plus certains pdf ne sont pas interprétables.

Actuellement la facturation se fait au nombre de pages, comme il avait été
décidé en CA. Ce qui fait que tu enrichis le CRANS lorsque tu imprimes du
monochrome en couleur. En effet, l'imprimante peut détecter une page n&b dans
un doc couleur
(voir CR des réunions CA au sujet de l'imprimante).

Si quelqu'un veut s'embêter à vérifier la colorisation de toutes les pages,
il peut. Ne serait-il pas possible de le demander à l'imprimante ? En parsant
l'interface web...

La mise en place du nouveau système de facturation a nécessité un retouche
de l'intranet et des différents scripts d'impression. Antoine a profité
pour faire le ménage parmi les scripts.

#### Wrapper de l'interface web en ocaml

Antoine a développé une petite application en OCaml, qui permet de soumettre
le pdf à l'interface web et de sélectionner les options. Ce script fonctionne
mais n'est pas encore tout à fait au point.

Xavier fait remarquer qu'il est dangereux de coder des scripts en OCaml. En
effet le python a l'avantage d'être beaucoup plus simple et lisible (et ça
fait moins peur aux nouveaux).
De plus, ce problème a déjà été discuté en inter-nounou et l'assemblée avait
tranché contre l'utilisation généralisée d'OCaml.

Pierre fait remarquer qu'en perl ça peut être pire.

Damien fait remarquer que dans environ 2 ans, l'imprimante sera changée.

#### Statistiques

Il serait bon d'envoyer des mails pour les consommables.

#### Utiliser le driver PCL

Antoine fait remarquer qu'on peut aussi investiguer sur l'éventuelle utilisation
du driver pcl pour l'imprimante.

### État de migration des serv{eur,ice}s

Penser à installer le switch gigabit pour la baie iSCSI.

#### Vert

* /home se remplit (209/225GB) Une des raisons est le stockage des logs de
  squid sur cette partition (14GB)
   * Damien fait remarquer que cela risque d'être très problématique à la
     rentrée.
   * Si la croissance continue à ce rythme, /home sera plein à la mi-juillet.
     Il faut rapidement migrer /home sur la baie de disques iSCSI.
* Migration de LDAP ou mise à jour ?
   * L'avis de Nicolas est que vert est un serveur obsolète, et que le mettre à
     jour à lenny n'avancera à rien. De plus, étant serveur LDAP principal et
     serveur NFS, un downtime serait très problématique pour l'ensemble des
     services.
   * Antoine propose d'effectuer la migration (de quoi ?) le samedi 14 à partir
     de minuit.
* Laisser les homes en RO ? (soft bounce)
* Configurer newldap en serveur LDAP primaire
* Créer un domU home si les problèmes d'I/O sont réglés d'ici là (KVM semble
  prometteur), sinon, continuer à utiliser vert. (en attendant un serveur
  physique ?)

#### rouge

* SMTP principal
   * Il faut déplacer/dupliquer amavis/clamav sur redisdead avant de bouger
     mailman définitivement. Faire fonctionner l'authentification en envoi sur
     redisdead.
* Mailman : Les fichiers de configuration de mailman ont été rsyncés sur
  redisdead, il faut:
   * Diminuer le TTL des DNS
   * Attendre (24h) (pendant ce temps, vérifier que mailman fonctionne sur
     redisdead)
   * Mettre une redirection sur rouge du trafic de lists.crans.org vers
     redisdead
   * Changer les alias lists.crans.org, smtp.crans.org, mailman.crans.org
   * Prévenir les adhérents qu'il faut utiliser smtp.crans.org pour envoyer des
     mails
   * Attendre que rouge ne reçoive plus de mails vers lists.crans.org
   * Faire tomber la guillotine
   * Ré-augmenter le TTL des DNS
* ntp
* dhcp

Nicolas est de toute évidence la personne le plus au courant de ce qu'il faut
faire.

#### zamok

* etch -> lenny
   * Quelqu'un voit quelque chose qui casserait sur zamok lors d'une
     màj ? -> L'intranet ?
* iso -> utf-8
   * Faire gaffe aux *noms* des fichiers dans les homes dans les adhérents
   * Résoudre les problèmes avec les scripts

#### Ragnarok

* Trial of the BSD Knights -> Games
   * Il faut inciter un apprenti à effectuer la migration.

#### Virtualisation

Munin a été migré sur fx dans kvm.

Quelques statistiques :

* http://munin.crans.org/crans.org/munin.crans.org-munin_update.html -> munin-update prend plus de temps
* http://munin.crans.org/crans.org/munin.crans.org.html#System -> pas d'I/O
  wait ...

Munin est un bon exemple pour pouvoir décider de la robustesse/efficacité
d'une solution de virtualisation.

On va encore le laisser une petite semaine munin sur kvm pour pouvoir
comparer. Si le test est concluant, une migration d'owl devra être effectuée
pour confirmer les résultats (c'est en effet le domU qui est le plus chargé
actuellement).

La solution actuelle de virtualisation n'est pas satisfaisante:

* Problèmes d'I/O
* Échecs de migrations à chaud
* xen n'est pas vraiment maintenu

Remarque: on n'utilise pas la virtualisation matérielle sur fy.

##### Tweaking

Dans les machines virtuelles kvm, l'ordonnancement des entrées sorties est fait
par défaut par l'ordonnanceur CFQ. Il en est de même pour l'hôte/hyperviseur. De
plus, les disques sont en iSCSI, un troisième ordonnancement est effectué par la
baie de disques. Pour gagner en performances, il faut utiliser l'ordonnanceur
''noop'' sur les VMs (ce qui est le cas sur munin depuis quelques heures). Il
faudrait voir s'il ne serait pas avantageux de faire ceci sur les disques iSCSI
sur l'hyperviseur. (Les VM xen en virtualisation logicielle utilisent déjà cet
ordonnanceur par défaut). Règles UDEV sur fx et fy ?

### Cacher youtube

Ça ne marche *que* pour youtube. Il serait bon d'avoir des stats sur les
requêtes pour le cache de squid
(-> http://munin.crans.org/crans.org/sable.crans.org.html#Squid qui ne marche
plus).
Manifestement le cache ne tient pas très longtemps (ou bien ça ne marche
plus ?).
Il faut investiguer.

* Qu'est ce que c'est cette histoire de cacher
  youtube ? -- WikiPolo <<DateTime(2009-05-26T09:57:47+0100)>>

Adg voudrait pouvoir faire la même chose pour !DailyMotion, Deezer, ...
Mais Pierre dit que : Deezer c'est assez moche, on avait essayé à Berlin...
Il faut croire qu'il y a des données en plus pour identifier les connexions.
J'ai un peu fait mumuse avec !DailyMotion, ça a l'air du même accabit.

### Vlan 21

#### MSN

* Ça n'a juste pas marché lorsque j'ai voulu essayer avec pidgin, bien que tous
  les ports eussent été ouverts.
* Ce qui est bizarre c'est que j'ai eu des retours positifs dessus.

#### Wiki

ip_crans renvoie false sur l'ip de titanic.

#### Câblage d'un appartement du CROUS

Aucune limitation technique (à part le câblage physique)

#### Monitoring

La connexion marche. Il serait de faire des stats sur le trafic sur la
connexion de la freeboîte. (En plugin munin ?)

### Câblage de la Kfet

Réalisé jeudi. Il faudra acheter et fixer des prises murales

### Wifi WPA2

On préfère garder la surprise pour le we du 7-8. (Vous êtes des malades)

### Interface d'inscription en ligne

Ce sera un patch du wiki (et ça ne sera même pas trop sale)

### Authentification sur moinmoin par la base ldap

* On autorise une double authentification (comme sur vo)
* On rajoute un champ wikinom dans la base LDAP initialisé à !WikiPrénomNom (ou
  PrénomNom (ça me paraît être la base du wikinom))
* Ce champ est modifiable par l'intranet.
   * Gros checking pour éviter les collisions. (Ce check ne peut se limiter à
     la base LDAP)
 -> Cette solution n'empêche en rien de continuer à utiliser les comptes
  MoinMoin.

Cependant il pourrait être judicieux de supprimer la création de comptes
MoinMoin
pour éviter les collisions.

Les homonymes pourront être gérés par une unicité dans la base LDAP.

L'authentification LDAP nécessite MoinMoin >1.8 (squeeze) (vu le niveau de
patchage du paquet custom actuel, ce n'est pas vraiment un problème).

### Inventaire du matériel

Il faudra compter les switchs du 0C. Il faudra un jour faire du rangement.

### Achats de matériel

* La RAM a été commandée
* Tant que la MGE n'aura pas été appelée, on ne statuera pas sur l'achat des PDU
   * A priori, MGE n'a pas été appelé (comme *promis* par Olivier le 5 mai)
   * Vérifier que les pdu font bien ce que l'on attendrait d'eux
* Clim de la ferme
   * Damien a déposé le dossier de travaux auprès du CROUS
   * Damien a fait un devis auprès de notre prestataire de clim
   * Damien va faire un devis auprès du prestataire climatisation de l'ENS
* Switchs du G (on ne sait pas)

### Motiver les apprentis

* Remplacer SQLGrey par un truc plus intéressant *kh* milter-greylist *kh*
* **Asterisk** <- en cours à partir de la semaine prochaine
* Préinscription
* Migration openbsd (c'est chiant)
* Taper l'incruste au dpt info avec chicco
* IPv6 (lobbying de l'ENS ?)
* Mangez avec les doigts comme tout le monde... ( avec la bouche ça suffit )
* Faire des poupées vaudou albanel et riester (et lefebvre, gosselin)
* Refaire des chiffons{{{^W}}}t-shirts firefox{{{^W}}}iceweasel
   * Fan inconditionnel des T-Shirts
     Iceweasel -- WikiAdg <<DateTime(2009-05-26T13:51:43+0100)>>
