# Réunion Nounous

* Date : Jeudi 14 Janvier 2010
* Lieu : Pavillon des Jardins
* Début : 19h40
* Fin : -- WikiMichou <<DateTime(2010-01-14T22:26:17+0200)>>

## Présents

* Antoine Durand-Gasselin
* Augustin Parret-Fréaud
* Jérémie Dimino
* John-Eric Dufour
* Michel Blockelet
* Nicolas Dandrimont
* Olivier Huber
* Olivier Iffrig
* Pierre Chambart
* Raphaël Cauderlier
* Stéphane Glondu
* Xavier Lagorce

## Ordre du jour

### Compte-rendu de l'intervention au bâtiment G

#### État des fibres

La connexion a été rétablie. On a un débit de 930Mb/s.
On recevra les tests faits par les techniciens plus tard.

#### Configuration des switchs

Il y a un problème avec batg-0. Il a été remis dans sa configuration d'usine
(sous laquelle il fonctionne).

#### Câblages physiques

Tous les gens qui ont demandé la connexion Cr@ns l'ont eue.

Il faudra câbler physiquement les gens quand la connexion Crous sera dans tous
les bâtiments. Pour l'instant c'est les nounous qui le font le soir.
Ça reste comme ça tant que c'est gérable.

#### Rangement des locaux

Il aura lieu samedi à 14h.

### Problèmes récurrents / maintenances

#### IMAP

L'imap chie dans la colle. On ne sait pas pourquoi. Apparemment le DomU swappe
beaucoup. On lui rajoute un giga de ram et on voit si ça va mieux...

Récemment des homes n'étaient pas créés. Il faut surveiller ça.

#### Impression

Il y a des traces noires de pire en pire sur les impressions, personne
ne s'en est vraiment occupé.

Jérémie les appelle demain.

#### Proxy

Des gens ont constaté des lenteurs et des erreurs sur le proxy.

Un des problèmes: ipv6 sur sable qui se choppe des annonces bizarres.
En les retirant ça marche mieux. Le souci était le DNS, qui vient faire des
requêtes d'adresses AAAA sur des serveurs racine en ipv6... *boom*

#### bata-3

[[http://munin.crans.org/switchs.crans.org/bata3.adm-ping_bata_3_adm.html|Chie]]

#### Bâtiment H ?

Il faudrait revenir vers les gens pour être sûrs que c'était bien le problème de
proxy...

### Évolution des services

#### Intranet

Un nouvel intranet a commencé à voir le jour.
Il est disponible sur https://intranet2.crans.org (pour l'instant, il n'y a que
la gestion du câblage des prises).

C'est sur o2, dans /usr/local/django/intranet (dépôt darcs)

Il ne reste plus qu'à développer des applications...

#### Modifications de la base LDAP

* Remaniement des ACLs
   * Autorisation de la connexion des adhérents avec leur compte Cr@ns
   * Autorisation de la modification d'attributs dans le sous-arbre des
     adhérents
* Modification des attributs
   * IPv6
      * Adresse IP : L'adresse IP(v4,6) d'une machine est calculée par le mid,
        il y aura un champ "adresse IPv6 custom en plus" pour les machines ne
        respectant pas la convention (voir
        le [[CransTechnique/PlanAdressage#Machines|plan d'adressage]] sur le
        wiki, les scripts ne sont pas encore adaptés (en cours par Stéphane))
   * Cleanup Type de connexion : chaîne de caractères dans adherent
      * adhérent gratuit/payant/personnel ENS/autres
      * la base n'est pas encore peuplée
   * Compte Wiki : chaîne dans le compte crans
   * mailInvalide : timestamp dans adherent (au lieu d'un booléen)
   * DNS IPv6 : ajout d'un champ booléen (par machine) pour activer le DNS
     IPv6 pour l'adresse sur le /64 du vlan par défaut.
   * DNS (crans.eu) : nouvelle arborescence contenant un nom, une adresse et un
     propriétaire (compte crans).
      * .crans.eu
      * .ipv6.crans.eu : sous-arbre spécial de délégations vers les serveurs
        DNS pour leur /64 ipv6

#### Installation de fz

Il faut le faire. Cf. le tracker.

#### Télévision

* Multiswitch...
   * Olivier l'installera avant de partir.
   * Il faut en profiter pour vérifier la qualité de réception, certaines
     cartes ont des problèmes.
* Unicast pour diagnostiquer chez les adhérents se plaignant de problèmes de
  multicast
* Transcoding pour faire de la télé over WiFi : à tester sur les serveurs de
  free, faut leur coller une carte TV
* IPv6 ?
* Satellite a http://fr.kingofsat.net/pos-28.2E.php : il faut voir avec le
  CROUS pour la pose d'une nouvelle antenne.

#### DNS

Il faudrait reprendre l'architecture DNS du Cr@ns. En effet, les serveurs DNS
autoritaires et les serveurs de cache sont les mêmes.

Il faut séparer les serveurs cache et les serveurs autoritaires pour les zones
Cr@ns.

Serveurs cache :

* sable
* gordon
* titanic (patte interne, requêtes DNS des appartements)

Serveurs primaires :

* sila : crans.org, crans.eu, *.in-addr.arpa (filaire), *.ip6.arpa (filaire),
  wifi.crans.org, *.in-addr.arpa (wifi), *.ip6.arpa (wifi)
* mdr : tv.crans.org, *.in-addr.arpa (multicast)
* sila : adm.crans.org, 136.231.10.in-addr.arpa

On fait un miroir des serveurs autoritaires sur :

* ovh (évidemment)
* freebox (patte externe)

On pourra ajouter du DNSSec plus tard.

#### Wifi

* Achat de nouvelles bornes
   * On va faire les courses chez landanet
* Déploiement

### FAI RUBIS

#### Organisation de la réunion Katy Tréca / Cr@ns

Une réunion a été fixée pour le mercredi 20 à 16h, probablement dans le bureau
de Katy Tréca.

Nicolas mettra le compte-rendu de la réunion Berlinoise en ligne sous peu.

### Questions diverses
